Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Class Visual

    java.lang.Object
      com.bbn.openmap.tools.roads.Visual

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RoadLine, Waypoint

public class Visual
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected boolean` | `blinkState`
`protected RoadLayer` | `layer` The RoadLayer of which we are a part.

Constructor Summary
`Visual()`

Method Summary
`void` | `blink(boolean newState)`
`RoadGraphic` | `getVisual()`
`void` | `setVisual(RoadGraphic newVisual)`
`void` | `update()` Mark this Visual as needing to have its visual representation updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blinkState

    protected boolean blinkState

### layer

    protected transient RoadLayer layer

  The RoadLayer of which we are a part.

Constructor Detail

### Visual

    public Visual()

Method Detail

### update

    public void update()

  Mark this Visual as needing to have its visual representation updated. It has moved or otherwise changed its appearance.

### setVisual

    public void setVisual(RoadGraphic newVisual)

### getVisual

    public RoadGraphic getVisual()

### blink

    public void blink(boolean newState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details